Subject: bug#36366: 27.0.50; [macOS] Terminal selection garbled when running compilation in adjacent window

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Jun 2019 19:13:43 +0300

> From: Filipp Gunbin <[email-masked]>
> Date: Mon, 24 Jun 2019 22:06:41 +0300
> 
> emacs -Q -nw
> 
> open 2 windows: 
> 
> 1) (above) some long-running compilation process, put point in the end
> so it's constantly scrolled
> 
> 2) (below) open some buffer (dired, for example) and make Terminal-level
> selection, so that the point is inside it

What do you mean by Terminal-level selection?  Is that selection by
mouse over TTY frame's text?  If so, I don't think Emacs is sensitive
to that on macOS, it simply doesn't know anything was selected.

> Now, at some point, selection in the lower window becomes garbled,
> looking like the line is redrawn, but selection not restored.  This can
> be seen in attached screenshot.  This has transient effect, appearing
> for a short period of time (few seconds).

Maybe I'm blind, but I don't see any garbage in the screenshot.  Can
you point me to what I am missing?